Bug 130343 - New terminal opens 'behind' other application windows
New terminal opens 'behind' other application windows
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-08-19 09:07 EDT by Bob Gustafson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-25 02:44:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Gustafson 2004-08-19 09:07:01 EDT
Description of problem:

  When I open another terminal window, it appears behind windows that
are currently open on my desktop. The only exception seems to be
another terminal window (new appears in front of old)

Version-Release number of selected component (if applicable):

  Gnome Terminal 2.7.3 (about box contents)

How reproducible:

  Has appeared this way for about a week.

Steps to Reproduce:
1. Open something (big) on your desktop (mozilla, system monitor,...)
2. Gnome menu->System Tools->Terminal
3. Look for the Terminal window
Actual results:

  As noted above

Expected results:

  A 'new' application window should appear 'in front' of othre
application windows.

Additional info:

  System is up to date as of now

  yum -y --exclude=\*debug-info\* --exclude=iii\* install \*
Comment 1 Bob Gustafson 2004-08-20 00:31:15 EDT
OK, the terminal window is fixed - a new one will open at the front (top?)

However, a new Mozilla window will open 'behind' an open terminal window.


Open Mozilla
Open Gnome Terminal window (it will open on top of Mozilla)
Open another Mozilla window - by clicking on the dragon icon (it will
open in front of the first Mozilla window, but 'Behind' the Gnome
Terminal window.

Desired action:

Any new window should come to the front (be on top).

If the new window belongs to an application which is already open, but
is not the 'front' application, this application should become the
front applcation before the new window opens.

System is up to date again
Comment 2 Bob Gustafson 2004-09-25 02:44:04 EDT
Well, things seem to be working better.

If I open a terminal from the task bar, the new window appears on top.

If I open a new browser window from the task bar, the new window
appears on top.

Terminal windows and browser windows interleave. The whole terminal
application NOT is made the 'front' application with a new window, but
maybe someone likes the 'interleaving' behavior better than a 'group'

I can live with that behavior, as long as the new window whatever is
on top.

Works for me

Note You need to log in before you can comment on or make changes to this bug.